From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
Date: Sat, 7 Nov 2020 13:41:38 +0100
Subject: arm64: dts: imx8mq: Add interconnect for DCSS

---
 arch/arm64/boot/dts/freescale/imx8mq.dtsi | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq.dtsi b/arch/arm64/boot/dts/freescale/imx8mq.dtsi
index 47c1a1f..6e2b9ab 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq.dtsi
@@ -1449,6 +1449,7 @@ dcss: display-controller@32e00000 {
                                                          <&clk IMX8MQ_CLK_27M>;
 				assigned-clock-rates = <800000000>,
 						       <400000000>;
+				interconnects = <&noc IMX8MQ_ICM_DCSS &noc IMX8MQ_ICS_DRAM>;
 				status = "disabled";
 				dcss_dsi_out: port@0 {
 					dcss_mipi_dsi: endpoint {
